Articles Tagged 'jira'

Articles
Jira Server 9.0 and Later Breaking API Changes

For performance reasons, Atlassian has made breaking changes to the Jira Server API in version 9.0 (and later). This means that is you are using the Spira data synchronization plugin for Jira Server, you need to download the most recent version from our website. This also affects Jira Data Center.

Note: this does not affect Jira Cloud.

Troubleshooting the Data-Synchronization between SpiraTest and Jira

This article describes some basic troubleshooting steps that you should take when the data-synchronization service between SpiraTest and another bug tracker (in this example Jira, but much of this also applies to other data syncs) does not appear to work correctly.

How to fix Jira synchronization issues - mapping errors

Sometimes when integrating Jira with Spira, you might receive errors that refer to artifact mappings, statuses, or even users. This can happen  even if the synchronization status is marked as ‘Success’ and highlighted in green. In this article we have combined certain synchronization errors that might appear while configuring integration with Atlassian Jira.

How to fix Jira DataSync error codes – 400, 401, 404 and 500

Sometimes during the Jira plugin configuration to sync with Spira, you might get an error that is not self-describing and the errors do not point to an obvious solution. In this article we provide guidance on how to resolve some common synchronization errors with specific error codes (400, 401, 404 and 500)

Integration with Jira Cloud/Server - Atlassian has depreciated use of passwords

When you are integrating Spira with Jira cloud (hosted by Atlassian) and Jira server (locally hosted) you need to to connect to Jira using a login and Jira API Key. Previously (prior to June 3rd, 2019) you could also use a Jira login and password, that is no longer allowed by Atlassian.

Integration with Jira - Basic auth with password is not allowed on this instance

If you are integrating Spira (SpiraTest, SpiraTeam, or SpiraPlan) with Atlassian Jira, you may get this error message if you have not updated the integration for a while:

Basic auth with password is not allowed on this instance

Data Synchronization with JIRA - What Synchronizes

A customer recently had some questions about what synchronizes between Spira and Jira, so we thought that this article would help clarify things.

Links in Jira to Spira no longer visible in new Jira UI

One of the features of the Spira synchronization service for Atlassian Jira is that it automatically adds relevant links to the user story and issue pages in Jira to make it easier to navigate from Jira back to SpiraTest, SpiraTeam, or SpiraPlan. Some users have reported these links are no longer visible.

Jira API Fails with IllegalStateException: Duplicate key Error

When SpiraTest, SpiraTeam, or SpiraPlan connects to the Jira API to synchronize defects and user stories it relies on the Jira API working correctly and not having internal issues. This articles explains a common issue that some of our clients have found inside Atlassian Jira.

Preventing DesktopDataSync from Going to Sleep

This article is kindly provided by one of our customers - Boris - who has been using the Desktop Data Sync and JIRA to integrate his on-premise JIRA instance with a cloud instance of SpiraTeam.

Integrating SpiraTest, SpiraPlan or SpiraTeam Hosted with JIRA On-Demand

This article describes the steps in integrating a hosted instance of SpiraTest, SpiraPlan or SpiraTeam with Atlassian's JIRA On-Demand (hosted). We recommend using our cloud hosted data synchronization service that means you don't need any special tools or downloads to use both products together. Let us do the work for you!

Synchronizing JIRA 5.0+ with an Older Version of Spira

The plugins listed on our website for integrating with JIRA are compatible with the latest major version (5.0 at time of writing) of SpiraTest, SpiraPlan or SpiraTeam. This article provides older versions of the JIRA data-synchronization plugin for customers that are using older versions of Spira.